define("wolfRunPopupApi", ["componentmodelComponentApi", "gameLayoutApi", "clientkernelEventbusApi"],
    function(componentmodelComponentApi, gameLayoutApi, clientkernelEventbusApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof wolfRunPopupApi == 'undefined') {
            var wolfRunPopupApi = {};
        };
        wolfRunPopupApi.AwardCapPayload = function(value, freeSpin) {
            this.freeSpin = freeSpin;
            this.value = value;
        };
        wolfRunPopupApi.AwardCapPayload.__name__ = ["wolfRunPopupApi", "AwardCapPayload"];
        wolfRunPopupApi.AwardCapPayload.prototype.freeSpin = null;
        wolfRunPopupApi.AwardCapPayload.prototype.value = null;
        wolfRunPopupApi.AwardCapPayload.prototype.__class__ = wolfRunPopupApi.AwardCapPayload;

        wolfRunPopupApi.IPopupImplementationPort = function() {}
        wolfRunPopupApi.IPopupImplementationPort.prototype = {

            getShowAwardCap: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };

        wolfRunPopupApi.IPopupPort = function() {}
        wolfRunPopupApi.IPopupPort.prototype = {

            getShowAwardCap: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            },
            getHide: function() {
                return {
                    arguments: [],
                    returns: "*"
                };
            }
        };
        wolfRunPopupApi.PopupDeclaration = function() {};
        wolfRunPopupApi.PopupDeclaration = ck_implements(wolfRunPopupApi.PopupDeclaration, componentmodelComponentApi.IComponentDeclaration);
        wolfRunPopupApi.PopupDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        wolfRunPopupApi.PopupDeclaration.__name__ = ["wolfRunPopupApi", "PopupDeclaration"];
        wolfRunPopupApi.PopupDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        wolfRunPopupApi.PopupDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        wolfRunPopupApi.PopupDeclaration.prototype.getImplementedPorts = function() {
            return [wolfRunPopupApi.IPopupImplementationPort];
        };
        wolfRunPopupApi.PopupDeclaration.prototype.getUsedPorts = function() {
            return [gameLayoutApi.IGameLayoutPort];
        };
        wolfRunPopupApi.PopupDeclaration.prototype.__class__ = wolfRunPopupApi.PopupDeclaration;
        wolfRunPopupApi.PopupPort = function(bus) {
            this.hideTopic = new clientkernelEventbusApi.Topic("popup:hide");
            this.showAwardCap = new clientkernelEventbusApi.Topic("popup:showAwardCap");
            this.showAwardCap.connect(bus);
            this.hideTopic.connect(bus);
        };
        wolfRunPopupApi.PopupPort = ck_implements(wolfRunPopupApi.PopupPort, wolfRunPopupApi.IPopupPort);
        wolfRunPopupApi.PopupPort = ck_implements(wolfRunPopupApi.PopupPort, wolfRunPopupApi.IPopupImplementationPort);
        wolfRunPopupApi.PopupPort.__interfaces__ = [wolfRunPopupApi.IPopupPort, wolfRunPopupApi.IPopupImplementationPort];
        wolfRunPopupApi.PopupPort.__name__ = ["wolfRunPopupApi", "PopupPort"];
        wolfRunPopupApi.PopupPort.prototype.showAwardCap = null;
        wolfRunPopupApi.PopupPort.prototype.hideTopic = null;
        wolfRunPopupApi.PopupPort.prototype.getShowAwardCap = function() {
            return this.showAwardCap;
        };
        wolfRunPopupApi.PopupPort.prototype.getHide = function() {
            return this.hideTopic;
        };
        wolfRunPopupApi.PopupPort.prototype.__class__ = wolfRunPopupApi.PopupPort;
        wolfRunPopupApi.PopupPortFactory = function() {};
        wolfRunPopupApi.PopupPortFactory = ck_implements(wolfRunPopupApi.PopupPortFactory, componentmodelComponentApi.IPortFactory);
        wolfRunPopupApi.PopupPortFactory.__interfaces__ = [componentmodelComponentApi.IPortFactory];
        wolfRunPopupApi.PopupPortFactory.__name__ = ["wolfRunPopupApi", "PopupPortFactory"];
        wolfRunPopupApi.PopupPortFactory.prototype.provide = function(channel) {
            return new wolfRunPopupApi.PopupPort(channel);
        };
        wolfRunPopupApi.PopupPortFactory.prototype["use"] = function(channel) {
            return new wolfRunPopupApi.PopupPort(channel);
        };
        wolfRunPopupApi.PopupPortFactory.prototype.__class__ = wolfRunPopupApi.PopupPortFactory;
        return {
            exports: wolfRunPopupApi
        };
    });
//# sourceURL=wolfRunPopupApi.js